
/*This site uses master values to control
zooming and scaling for responsive design*/

:root{
  overflow: hidden;

}

html {
  /* Color Variables */
  --white-color: rgb(243,243,243);
  --black-color: rgb(33, 33, 33);
  --light-grey-color: rgb(163, 163, 163);
  --dark-grey-color: rgb(39, 39, 39);
  --highlight-color: rgb(240, 135, 7);

  /* Font Scaling Variables for non-mobile*/
  --scale: 1rem; /*DO NOT CHANGE!!!!*/
  --scale-min: 1.25vh; /*positive vh only*/
  --scale-max: 3.2vh; /*positive vh only*/

  /* size Variables, some overridden for mobile*/ 
  --logo-height: 1.5; /*positive number only*/
  --h1-height: 1; /*positive number only*/
  --h2-height: 1; /*positive number only*/
  --h3-height: 0.9; /*positive number only*/
  --nav-letter-space: 0.08; /*positive number only*/
  --btn-height: 2;

  overflow: hidden;
  width: 100%;
  height: 100%;
}


html *{
  margin: 0; /*DO NOT CHANGE!!!!*/
  padding: 0; /*DO NOT CHANGE!!!!*/
}

::selection {
  color: var(--white-color);
  background: var(--highlight-color);
}

body {
  font-family: "Montserrat", Georgia, serif;
  font-size: 16px; /*DO NOT CHANGE!!!!*/
  color: var(--white-color);
  background: var(--black-color);
  width: 100%;
  height: 100%;
  overflow: hidden;
}

html:not(.is-mobile) body{
  min-width: 500px;
}

main {
  overflow-y: scroll;
  overflow-x: hidden;
  width: 100%;
  height: 100%;
  max-width: 100vw;
  display: flex;
  flex-direction: column;
  align-items: center;
  scroll-behavior: smooth;
}

hr{
  display: block;
  width: 38vh;
  height: 0.2vh;
  background-color: var(--light-grey-color);
  border: 0;
  border: none;
  clear: both;
  z-index: 100;
}

a {
  font-size: clamp(calc(var(--h1-height) * var(--scale-min)), calc(var(--h1-height) * var(--scale)), calc(var(--h1-height) * var(--scale-max)));
  color: var(--light-grey-color);
  text-decoration: none;
  transition: color 0.5s;
}

a:hover, a:active, a:focus {
  outline: none;
  text-decoration: none;
}

html:not(.is-mobile) a:hover{
  color: var(--highlight-color);
}

input:focus-visible, a:focus-visible{
  border: 0.1em solid var(--highlight-color);

}

h1, h2, h3, h4 {
  color: var(--white-color);
  font-family: "Cormorant Garamond", Georgia, serif;
  font-weight: 400;
}

h1{
  font-size: clamp(calc(var(--h1-height) * var(--scale-min)), calc(var(--h1-height) * var(--scale)), calc(var(--h1-height) * var(--scale-max)));
  height: clamp(calc(var(--h1-height) * var(--scale-min)), calc(var(--h1-height) * var(--scale)), calc(var(--h1-height) * var(--scale-max)));
}

h2{
  font-size: clamp(calc(var(--h2-height) * var(--scale-min)), calc(var(--h2-height) * var(--scale)), calc(var(--h2-height) * var(--scale-max)));
  height: clamp(calc(var(--h2-height) * var(--scale-min)), calc(var(--h2-height) * var(--scale)), calc(var(--h2-height) * var(--scale-max)));
}

h3{
  font-size: clamp(calc(var(--h3-height) * var(--scale-min)), calc(var(--h3-height) * var(--scale)), calc(var(--h3-height) * var(--scale-max)));
  height: clamp(calc(var(--h3-height) * var(--scale-min)), calc(var(--h3-height) * var(--scale)), calc(var(--h3-height) * var(--scale-max)));
}



/*Nav/////////////////////////////////////*/

#mcelec-nav {
  position: sticky;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 1001;
  background-color: var(--black-color);
  justify-content: center;
  align-items: center;
  display: flex;
  flex-direction: column;
}

#mcelec-logo-svg{
  height: clamp(calc(var(--logo-height) * var(--scale-min)), calc(var(--logo-height) * var(--scale)), calc(var(--logo-height) * var(--scale-max)));
  margin-bottom: 2vh;
  margin-top: 2vh;
  transition: height 0.3s;
}

#mcelec-logo-side-svg{
  height: 0;
  margin-top: 0;
  
}

html:not(.is-mobile) #mcelec-nav.scrolled #mcelec-logo-side-svg{
  margin-left: 2vh;
  transition: height 0.3s;
  position: absolute;
  top: 35%;
  left: 0;
  height: 30%;
}

html:not(.is-mobile) #mcelec-nav.scrolled #mcelec-logo-svg{
  height: 0;
  margin-top: 0;
}

#mcelec-name {
  color: var(--white-color);
  margin-bottom: 0.75vh;
  font-weight: 600;
  font-family: Helvetica, sans-serif;
}

#mcelec-nav ul {
  display: flex;
  justify-content: space-between;
  gap: 1.5vh;
  margin-top: 1vh;
  margin-bottom: 2vh;
}

#mcelec-nav ul li{
  display: flex;
}

#mcelec-nav ul li a {
  letter-spacing: clamp(calc(var(--nav-letter-space) * var(--scale-min)), calc(var(--nav-letter-space) * var(--scale)), calc(var(--nav-letter-space) * var(--scale-max)));
  font-weight: 500;
  text-decoration: none;
}

#mcelec-nav ul li a.active {
  color: var(--white-color);
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
}

#mcelec-nav ul li a.active:after {
  content: '';
  width: 2em;
  height: 0.15em;
  background: var(--highlight-color);
}

#nav-contact-phone{
  position: absolute;
  margin-right: 2vh;
  --hh: clamp(calc(var(--logo-height) * var(--scale-min)), calc(var(--logo-height) * var(--scale)), calc(var(--logo-height) * var(--scale-max)));
  --hhh: calc(var(--hh)*0.60);
  height: var(--hhh);
  right: 0;
  transition: color 0.3s;
  display: flex;
  align-items: center;
  justify-content: center;
}

#nav-contact-text{
  display: none;
}

#nav-phone-icon, #nav-text-svg{
  height: 100%;
  filter:  saturate(0%) brightness(300%);
}

#nav-phone-svg{
  height: 100%;
} 

#nav-contact-phone:hover #nav-phone-icon, #nav-contact-phone:focus #nav-phone-icon,
#nav-contact-text:hover #nav-text-svg, #nav-contact-text:focus #nav-text-svg{
  filter: saturate(1000%) hue-rotate(60deg) brightness(250%);
}

#nav-phone-number{
  height: 1em;
  width: 8em;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--light-gey-color)
}




/*Header////////////////////////////////////////*/

#mcelec-header {
  background-color: var(--black-color);
  position: relative;
  background-size: cover;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: center;
  margin-bottom: 6vh;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

#mcelec-header .overlay {
  z-index: 1;
  position: absolute;
  bottom: 0;
  top: 0;
  left: 0;
  right: 0;
  background: rgba(0, 0, 0, 0.227);
}

#header-content{
  width: 50%;
  min-width: 20em;
  max-width: 100%;
  z-index: 2;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  margin-top: 8vh;
  margin-bottom: 4vh;
  border: 0.1vh solid var(--light-grey-color);
  border-radius: 0px;
  backdrop-filter: blur(3vh);
  -webkit-backdrop-filter: blur(3vh);
}


#mcelec-statement{
  margin: 2vh;
  text-align: center;
  font-weight: 500;
  font-style: italic;
  font-size: clamp(calc(var(--h3-height) * var(--scale-min)), calc(var(--h3-height) * var(--scale)), calc(var(--h3-height) * var(--scale-max)));
  font-family: 'Sawarabi Mincho';
  text-shadow: black -0.03em 0.03em 0.1em;
}

#get-contacted-link, #request-send{
  background: transparent;
  color: var(--white-color);
  letter-spacing: clamp(calc(var(--nav-letter-space) * var(--scale-min)), calc(var(--nav-letter-space) * var(--scale)), calc(var(--nav-letter-space) * var(--scale-max)));
  font-weight: 500;
  font-size: clamp(calc(var(--h1-height) * var(--scale-min)), calc(var(--h1-height) * var(--scale)), calc(var(--h1-height) * var(--scale-max)));
  height: auto;
  width: auto;
  padding-inline: 1em;
  text-shadow: black -0.03em 0.03em 0.1em;
  margin-bottom: 3vh;
  transition: background-color 0.5s;
  border: 0.2em solid var(--highlight-color);
  border-radius: 0px;
}

#get-contacted-link:hover, 
#get-contacted-link:active, 
#get-contacted-link:focus,
#request-send:hover, 
#request-send:active, 
#request-send:focus {
  outline: none;
  background: var(--highlight-color);
  color: var(--white-color);
  box-shadow: none;
}

#service-list{
  display: flex;
  align-items: center;
  justify-content: space-around;
  background-color: var(--dark-grey-color);
  padding: 5vh;
  gap: 3vh;
  margin-bottom: 6vh;
}

#service-list ul{
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: left;
  justify-content: flex-start;
  border-left: 0.1vh solid var(--light-grey-color);
  padding-left: 1vh;
}

#service-list ul li{
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  font-size: clamp(calc(var(--h3-height) * var(--scale-min)), calc(var(--h3-height) * var(--scale)), calc(var(--h3-height) * var(--scale-max)));
  color: var(--white-color);
  display: flex;
  text-decoration: none;
}


/*Locations//////////////////////////////////////////////////*/

#mcelec-locations{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 6vh;
  width: 100%;
}

#locations-title{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  gap: 0.1em;
  margin-bottom: 1vh;
  margin-top: 4vh;
}

#click-for-more{
  font-size: clamp(calc(0.6 * var(--scale-min)), calc(0.6 * var(--scale)), calc(0.6 * var(--scale-max)));
  color: var(--light-grey-color)
}

#mcelec-locations h2{
  font-weight: 700;
}

#main-locations{
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  width: 90%;
  column-gap: 1.5em;
  row-gap: 0.1em;;
  max-width: 100vh;
  color: var(--light-grey-color)

  /* gap: 2em; */
  
}

.main-location{
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  font-size: clamp(calc(var(--h2-height) * var(--scale-min)), calc(var(--h2-height) * var(--scale)), calc(var(--h2-height) * var(--scale-max)));
  font-weight: 300;
}

/*Articles///////////////////////////////////////*/

#mcelec-articles{
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

#mcelec-articles article{
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  max-width: 140vh; /*160vh*/
  margin-block: 4vh;
}

#mcelec-articles article h2{
  margin-bottom: 2vh;
}

.anchor{ /*internal article link anchors*/
  display: block;
  position: relative;
  top: -15vh;
  visibility: hidden;
}


.article-img {
  width: 100%;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  position: relative;
  height: 35vh;
  margin-bottom: 3vh;;
}

.article-content {
  width: 60%;
  background: var(--black-color);
}

.article-content h2{
  font-weight: 700;
  color: var(--white-color);
  text-align: center;
}

.article-content p{
  text-indent: 4vh;
  --ff: clamp(calc(var(--h3-height) * var(--scale-min)), calc(var(--h3-height) * var(--scale)), calc(var(--h3-height) * var(--scale-max)));
  font-size: var(--ff);
  line-height: 1.5em;
  /* margin-top: 2vh; */
  color: var(--light-gey-color);
  text-align: justify;
  hyphens: auto;
}





/*Footer////////////////////////////////////////////////////////*/

#mcelec-footer{
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  width: 100%;
}

#request-service{
  font-size: clamp(calc(1.5 * var(--scale-min)), calc(1.5 * var(--scale)), calc(1.5 * var(--scale-max)));
  margin-top: 8vh;
  margin-bottom: 1vh;
  font-weight: 700;
}

#request-form{
  margin: 5vh;
  margin-top: 4vh;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  flex-direction: column;
  font-size: clamp(calc(var(--h3-height) * var(--scale-min)), calc(var(--h3-height) * var(--scale)), calc(var(--h3-height) * var(--scale-max)));
  width: 20em;
}

#request-name, #request-email, #request-number{
  height: 1.1em;
  width: 100%;
  margin-top: 0.5vh;
  margin-bottom: 3vh;
  font-size: clamp(calc(1.2 * var(--scale-min)), calc(1.2 * var(--scale)), calc(1.2 * var(--scale-max)));
  text-align: center;
}

#request-name:focus, #request-email:focus, #request-number:focus{
  outline: none;
}

#request-email, .request-label[for="request-email"]{
  display: none;
}

#method-input{
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

#request-method, #request-type{
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 0.5vh;
  margin-bottom: 3vh;
  height: 1em;
}

input[type="Radio"]:not(:first-child){
  margin-left: 2vh;
}

#request-method > input,
#request-type > input{
  box-sizing: border-box;
  accent-color: var(--highlight-color);
  margin-right: 0.5vh;
  font-size: clamp(calc(var(--h3-height) * var(--scale-min)), calc(var(--h3-height) * var(--scale)), calc(var(--h3-height) * var(--scale-max)));
  width: 1em;
  height: 100%;
  display: flex;
  align-items: center;
}

#request-form input[type="Submit"]{ /*sumbit button*/
  width: 90%;
}

#form-submitting-proxy{ /*no redirect on submit*/
  display: none;
}

#call-or-text{
  font-size: clamp(calc(var(--h1-height) * var(--scale-min)), calc(var(--h1-height) * var(--scale)), calc(var(--h1-height) * var(--scale-max)));
  text-align: center;
  margin-bottom: 8vh;
}

#copyright{
  margin: 10vh;
  text-align: center;
  font-size: clamp(calc(var(--h3-height) * var(--scale-min)), calc(var(--h3-height) * var(--scale)), calc(var(--h3-height) * var(--scale-max)));
}




/*Narrow non-mobile//////////////////////////*/

.is-narrow #nav-contact-phone{
  position: absolute;
  right: 0;
  top: 0;
  margin-top: 2vh;
  margin-right: 2vh;
  height: 4vh;
}

.is-narrow #nav-phone-number{
  display: none;
}

.is-narrow #mcelec-header{
  background-size: cover;
}

html.is-narrow:not(.is-mobile) #mcelec-nav.scrolled #mcelec-logo-side-svg{
  margin-block: 0;
  top: 2vh;
  height: 25%;
}



/*Mobile devices////////////////////////////////////////////*/

.is-mobile h2{
  font-size: 3vh;
  height: auto;
}

.is-mobile #mcelec-logo-svg{
  height: 3vh;
}

.is-mobile #mcelec-name{
  font-size: 2.5vh;
  height: auto;
}

.is-mobile #mcelec-nav ul{
  margin-bottom: 1vh;
}

.is-mobile #mcelec-nav ul a{
  font-size: 2vh;
}

.is-mobile #nav-contact-text{
  display: block;
  height: 4vh;
  position: absolute;
  left: 0;
  top: 0;
  margin: 3vh;
}

.is-mobile #nav-text-svg{
  height: 100%;
}

.is-mobile #nav-contact-phone{
  height: 4vh;
  position: absolute;
  right: 0;
  top: 0;
  margin: 3vh;
}

.is-mobile #nav-phone-number{
  display: none;
}

.is-mobile #mcelec-header{
  background-position-x: left;
}

.is-mobile #header-content{
  width: 80%;
  min-width: unset;
}

.is-mobile #mcelec-statement{
  font-size: 2.5vh;
}

.is-mobile #get-contacted-link{
  font-size: 3vh;
  height: auto;
}

.is-mobile #service-list ul li{
  font-size: 2vh;
}

.is-mobile .main-location{
  font-size: 2.5vh;
}

.is-mobile .article-content{
  width: 80%;
}

.is-mobile .article-content p{
  font-size: 2vh;
  /* margin-top: 4vh; */
}

.is-mobile #request-form{
  width: 60%;
}

.is-mobile #request-service{
 font-size: 4vh;;
}

.is-mobile #request-form input[type="Submit"]{ /*sumbit button*/
  font-size: 3vh;
  height: auto;
  width: auto;
}

.is-mobile #request-name, .is-mobile #request-email, .is-mobile #request-number{
  font-size: 3vh;
}

.is-mobile .request-label{
  font-size: 1.75vh;
}

.is-mobile #call-or-text, .is-mobile #call-or-text a{
  font-size: 3vh;
  width: 80%
}

.is-mobile #copyright{
  font-size: 2vh;
}

@media (max-width: 300px) {
  .is-mobile #mcelec-name{
    font-size: 2vh;
  }
  .is-mobile #mcelec-nav ul a{
    font-size: 1.5vh;
  }
  .is-mobile .request-label{
    font-size: 1.4vh;
  }
}

@media (orientation: landscape) {
  .is-mobile h2{
    font-size: 8vh;
  }
  .is-mobile .article-content p{
    font-size: 4vh;
    line-height: 1em;
  }
  .is-mobile #mcelec-logo-svg{
    height: 5vh;
  }
  .is-mobile #mcelec-name{
    font-size: 4vh;
  }
  .is-mobile #mcelec-nav ul a{
    font-size: 5vh;
  }
  .is-mobile #nav-contact-text, .is-mobile #nav-contact-phone{
    height: 50%;
    margin-inline: 6vh;
    margin-block: 5vh;
  }
  .is-mobile #mcelec-statement{
    font-size: 4vh;
  }
  .is-mobile #get-contacted-link{
    font-size: 6vh;
  }
  .is-mobile #service-list ul li{
    font-size: 5vh;
  }
  
  .is-mobile #request-form{
    width: 100%;
  }
  .is-mobile #request-service{
   font-size: 8vh;
  }
  .is-mobile #request-form input[type="Submit"]{ /*sumbit button*/
    font-size: 6vh;
  }
  .is-mobile #request-name, .is-mobile #request-email, .is-mobile #request-number{
    font-size: 6vh;
  }
  .is-mobile .request-label{
    font-size: 4vh;
  }
  .is-mobile #call-or-text, .is-mobile #call-or-text a{
    font-size: 5vh;
    width: 80%
  }
  .is-mobile #copyright{
    font-size: 4vh;
  }
}


/*Apple sucks*/

.is-mobile.is-apple #nav-contact-text{
  display: none;
}

.is-mobile.is-apple #mcelec-header{
  background-attachment: scroll;
}